Summary:	MATE Desktop calculator
Summary(pl.UTF-8):	Kalkulator dla środowiska MATE Desktop
Name:		mate-calc
Version:	1.28.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://pub.mate-desktop.org/releases/1.28/%{name}-%{version}.tar.xz
# Source0-md5:	3492897f5c92b556df8ee9715db6db48
URL:		https://wiki.mate-desktop.org/mate-desktop/applications/mate-calc/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	libmpc-devel
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	mate-common
BuildRequires:	mpfr-devel >= 4.0.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	glib2 >= 1:2.50.0
Requires:	gtk+3 >= 3.22
Requires:	mpfr >= 4.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mate-calc is a powerful graphical calculator with financial, logical
and scientific modes. It uses a multiple precision package to do its
arithmetic to give a high degree of accuracy. mate-calc is a fork of
gnome-calc.

%description -l pl.UTF-8
mate-calc to graficzny kalkulator o bogatych możliwościach, z trybami
finansowym, logicznym i naukowym. Wykorzystuje pakiet wielokrotnej
precyzji w celu zapewnienia arytmentyki o dużym stopniu dokładności.
mate-calc jest odgałęzieniem programu gnome-calc.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-compile \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
	--remove-category="MATE" \
	--add-category="X-Mate" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/*.desktop

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{es_ES,frp,ie,ku_IQ,pms}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/help/{frp,ie,ku_IQ,pms}

%find_lang %{name} --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%attr(755,root,root) %{_bindir}/mate-calc
%attr(755,root,root) %{_bindir}/mate-calc-cmd
%attr(755,root,root) %{_bindir}/mate-calculator
%{_mandir}/man1/mate-calc.1*
%{_mandir}/man1/mate-calc-cmd.1*
%{_datadir}/metainfo/mate-calc.appdata.xml
%{_datadir}/glib-2.0/schemas/org.mate.calc.gschema.xml
%{_desktopdir}/mate-calc.desktop
%changelog
* Wed May 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-calc.git;a=log;h=master

* Sun May 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 784b14a
- updated to 1.28.0

* Sun Aug 29 2021 Jakub Bogusz <qboosh@pld-linux.org> 6d62329
- updated URL, require rpm macros for glib_compile_schemas

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 56e40a8
- up to 1.26.0

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> 02d1d63
- up to 1.24.2

* Mon Aug 17 2020 Jan Palus <atler@pld-linux.org> 975af5c
- up to 1.24.1

* Tue Feb 11 2020 Jan Palus <atler@pld-linux.org> e43812e
- up to 1.24.0

* Fri Sep 20 2019 Jan Palus <atler@pld-linux.org> 9a99088
- up to 1.22.2

* Tue May 07 2019 Jan Palus <atler@pld-linux.org> 9644941
- up to 1.22.1

* Mon Mar 18 2019 Jan Palus <atler@pld-linux.org> 6a425be
- up to 1.22.0

* Wed Dec 19 2018 Jan Palus <atler@pld-linux.org> bb80f74
- up to 1.20.3

* Thu Jun 14 2018 Jan Palus <atler@pld-linux.org> b34123e
- up to 1.20.2

* Mon Mar 26 2018 Jan Palus <atler@pld-linux.org> 3857acb
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> b57ff0d
- up to 1.20.0

* Wed Oct 25 2017 Jan Palus <atler@pld-linux.org> 63fd320
- up to 1.18.1

* Sat Mar 18 2017 Jakub Bogusz <qboosh@pld-linux.org> e86a9e9
- updated glib2 version

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> fb422ba
- up to 1.18.0

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 9397f5a
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jul 10 2014 Jakub Bogusz <qboosh@pld-linux.org> bc11581
- cmn locale is supported now
- cleaned up scrollkeeper leftovers

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 0e8a280
- up to 1.8.0

* Fri Jan 31 2014 Elan Ruusamäe <glen@delfi.ee> 8682d38
- up to 1.6.1

